# tkforms
来自WinForms界面扩展库做出来的组件

## Metro 
> 免费使用，但是UI风格比较原始

> `Windows XP SP1/SP2/SP3`
> `Windows Vista`
> `Windows 7`
> `Windows 8`
> `Windows 10`

```python
# 基础示例1
import tkmetro
from tkinter import Tk

root = Tk()
button = tkmetro.Button()
button.pack(fill="both", expand="yes", padx=5, pady=5)
root.mainloop()
```

```python
# 基础示例2
import tkmetro
from tkinter import Tk

root = Tk()
button1 = tkmetro.Button()
button1.pack(fill="both", expand="yes", padx=5, pady=5)
button2 = tkmetro.Button()
button2.configure(theme="dark")  # theme设置组件主题配色，可设置为 "light" 或 "dark"
button2.pack(fill="both", expand="yes", padx=5, pady=5)
root.mainloop()
```

```python
# 高级示例1
import tkmetro
from tkinter import Tk

root = Tk()
titlebar = tkmetro.TitleBar(root)
titlebar.show()
root.mainloop()
```

```python
# 高级示例2
import tkmetro
from tkinter import Tk

root = Tk()
titlebar = tkmetro.TitleBar(root)
titlebar.configure(theme="dark")
titlebar.close_button.configure(theme="dark")
titlebar.title.configure(theme="dark")
titlebar.show()
root.mainloop()
```